This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 221376 - (python-libtorrent) Review Request: python-libtorrent - Python bindings to the rb_libtorrent library
Review Request: python-libtorrent - Python bindings to the rb_libtorrent library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On: rb_libtorrent
Blocks: FE-ACCEPT deluge
  Show dependency treegraph
 
Reported: 2007-01-04 00:47 EST by Peter Gordon
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-28 18:11:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2007-01-04 00:47:10 EST
Spec URL: http://www.thecodergeek.com/downloads/fedora/python-libtorrent.spec
SRPM URL: http://www.thecodergeek.com/downloads/fedora/python-libtorrent-0.3.0-1.src.rpm
Description: This package contains Python bindings for the rb_libtorrent library, allowing
one to write full-featured applications in Python that use rb_libtorrent.   

This is being packaged as a dependency of the Deluge BitTorrent client, and requires rb_libtorrent (in review, bug #221372)
Comment 1 Peter Gordon 2007-01-04 00:48:20 EST
[ Adding David to the CC list at his request; and blocking the rb_libtorrent
review requst bug (since that is required as a build dependency). ]
Comment 2 Peter Gordon 2007-01-05 01:05:58 EST
I overlooked that RPM does not find the rb_libtorrent dependency through the
shared library's linkage dependencies, so I've added that as a hardcoded
Requires in release 2.

Spec: http://www.thecodergeek.com/downloads/fedora/python-libtorrent.spec
SRPM: http://www.thecodergeek.com/downloads/fedora/python-libtorrent-0.3.0-2.src.rpm

Thanks.
Comment 3 Peter Gordon 2007-01-05 15:36:43 EST
Dang. It needs a bunch of DHT loving which was fixed in SVN. I've therefore
packaged the latest SVN with these fixes:

Spec: http://www.thecodergeek.com/downloads/fedora/python-libtorrent.spec
SRPM:
http://www.thecodergeek.com/downloads/fedora/python-libtorrent-0.3.0-3.20061128svn.src.rpm

Thanks.
Comment 4 Peter Gordon 2007-01-07 19:37:07 EST
I've bumped it to a new release, which adds a -DAMD64 flag on 64-bit arches (as
noticed by Gerd Classen on bug #221669). Updated files are on my webspace:

Spec: http://thecodergeek.com/downloads/fedora/python-libtorrent.spec
SRPM:
http://thecodergeek.com/downloads/fedora/python-libtorrent-0.3.0-4.20061128svn.src.rpm

Thanks.
Comment 5 Mamoru TASAKA 2007-01-24 13:40:14 EST
Well,

* Current URL seems to be http://deluge-torrent.org/
* The newest version seems to be 0.4.0
  ( http://deluge-torrent.org/wiki/Downloads )
Comment 6 Mamoru TASAKA 2007-01-24 14:00:45 EST
By the way, does this need rb_libtorrent (bug 221372)?

* Doesn't this package compile without rb_libtorrent?
* Is this python module linked against libtorrent.so?
  For me, 0.4.0 compile without rb_libtorrent.
Comment 7 Peter Gordon 2007-01-24 15:50:37 EST
(In reply to comment #6)
> By the way, does this need rb_libtorrent (bug 221372)?


This is the python interface to the functionality provided by the rb_libtorrent
library. Without rb_libtorrent installed, this package is essentially useless. :]

I'm going to be pretty busy the rest of today, so I'll get to updating this
tomorrow (probably sometime in the early evening-ish).

Thanks.
Comment 8 Mamoru TASAKA 2007-01-25 02:46:02 EST
(In reply to comment #7)
> (In reply to comment #6)
> > By the way, does this need rb_libtorrent (bug 221372)?
> 
> 
> This is the python interface to the functionality provided by the
> rb_libtorrent
> library. 

Yes. As you and the description on http://deluge-torrent.org/wiki
says, this (python-libtorrent) is the python interface, which
provides the function provided the rb_libtorrent, i.e. the _rewrite_
of rb_libtorrent so that rb_libtorrent can be used from python
_directly_.

As you can see, the source of python-libtorrent includes the
"copy" of rb_libtorrent source, modified so that it can be
called by python. I still doubt that this package should need
C++ version of libtorrent (rb_libtorrent).
Comment 9 Peter Gordon 2007-01-25 16:29:15 EST
(In reply to comment #8)
> As you can see, the source of python-libtorrent includes the
> "copy" of rb_libtorrent source, modified so that it can be
> called by python. I still doubt that this package should need
> C++ version of libtorrent (rb_libtorrent).

OOOOHHHH....That's icky! Good catch. I wonder if simply removing the internal
libtorrent files would make it use the installed system copy...I'll play with it
when I get home tonight. I'll need to bug the upstream Deluge people too.

Thanks for the catch!
Comment 10 Peter Gordon 2007-01-26 02:08:49 EST
I wrote a fixed setup.py (sent upstream) build script which configures the build
against and links to the system copy of rb_libtorrent, rather than its own
internal copy. I also updated to the latest version (0.4.0).

Spec: http://www.thecodergeek.com/downloads/fedora/python-libtorrent.spec
SRPM: http://www.thecodergeek.com/downloads/fedora/python-libtorrent-0.4.0-1.src.rpm

Thanks!
Comment 11 Mamoru TASAKA 2007-01-27 01:52:53 EST
I will review this after rb-libtorrent (bug 221372) is
completed.
Comment 12 Mamoru TASAKA 2007-01-28 10:40:10 EST
Well, actually the files needed for this package is
python-libtorrent.cpp and your setup.py makes sense.

* URL, Source0 should be
  http://deluge-torrent.org/
  http://deluge-torrent.org/downloads/python-libtorrent_0.4.0.tar.gz
  (md5sum coincides)
  respectively (use %{name}, %{version}).

* Please fix the permission included in -debuginfo rpm.

Other things are okay.
-------------------------------------------------------
   This package (python-libtorrent) is APPROVED by me.
Comment 13 Peter Gordon 2007-01-28 14:40:45 EST
I've fixed those in 0.4.0-2, which is what I will import into CVS.

Spec: http://thecodergeek.com/downloads/fedora/python-libtorrent.spec
SRPM: http://thecodergeek.com/downloads/fedora/python-libtorrent-0.4.0-2.src.rpm

Thanks for your review!

Note You need to log in before you can comment on or make changes to this bug.